<?php

namespace App\Classes\Modules\Transactions\Services;

use App\Classes\General\Eloquent\AbstractDeleteRecord;
use App\Models\Transaction;

class DeletesTransactionDetails extends AbstractDeleteRecord
{

    /**
     * @param Transaction $model
     * @return mixed
     */
    public function execute(Transaction $model) {
        return $model->transactionDetails()->delete();
    }

}